/* DCJavaClient - a DirectConnect client written in Java
 * Copyright (C) 2001 Stefan Grling, stefan@gorling.se
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

import DCConnector;
import DCProtocolHandler;
import UserInfo;

/***

    Makes the connector threadable. Quick'n'dirty

***/

public class DCConnectorThread extends Thread {

    DCConnector DCC=null;

    public void run() {
	  try{
		DCC.openConnection();
		DCProtocolHandler DCP=DCC.getProtocolHandler();
	  while (true) {
		DCP.processBuffer();
	               }	  
	  }catch(Exception e) {
		System.out.println("Error:"+e);
	  }
    }

    public DCConnectorThread(String host, int port,UserInfo myself) {
	DCC=new DCConnector(host,port,myself);
    }

    public boolean isConnected() {
	return DCC.isConnected();
    }

    public DCProtocolHandler getProtocolHandler() {
	return DCC.getProtocolHandler();
    }

}


